ReferenceItem lists
Products / Brand manufacturers
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/products/brand-manufacturers' \ -H 'Authorization: Bearer <access-token>'[ { "brand": "string", "companyId": 0, "id": 0, "number": "string" }]POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- body
brand?|Length
length <= 100companyId?|Format
int32id?integerFormat
int32number?|Length
length <= 10application/json- response
brand?|Length
length <= 100companyId?|Format
int32id?integerFormat
int32number?|Length
length <= 10curl -X POST 'https://<your-instance>/api/item-lists/products/brand-manufacturers' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "brand": "string", "companyId": 0, "id": 0, "number": "string"}GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
brand?|Length
length <= 100companyId?|Format
int32id?integerFormat
int32number?|Length
length <= 10curl -X GET 'https://<your-instance>/api/item-lists/products/brand-manufacturers/0' \ -H 'Authorization: Bearer <access-token>'{ "brand": "string", "companyId": 0, "id": 0, "number": "string"}PATCH
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- body
brand?|Length
length <= 100companyId?|Format
int32id?integerFormat
int32number?|Length
length <= 10application/json- response
brand?|Length
length <= 100companyId?|Format
int32id?integerFormat
int32number?|Length
length <= 10curl -X PATCH 'https://<your-instance>/api/item-lists/products/brand-manufacturers/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "brand": "string", "companyId": 0, "id": 0, "number": "string"}DELETE
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32curl -X DELETE 'https://<your-instance>/api/item-lists/products/brand-manufacturers/0' \ -H 'Authorization: Bearer <access-token>'Empty